::d2x-beta.bat should be saved here in order for ModMii v4.6.0+ to use it: modules\More-cIOSs\{ANY FOLDER NAME}\d2x-beta.bat

::--------update what comes after "d2x-beta-rev=" and "ciosversion=" below----------
::"magicword2" should be contained in this file for modmii to not check for updates or enable legacy cIOS build mode (effective v7.0.3+)
set ciosversion=21005
::must be <=65535
::if ciosversion above is different from version in ciosmaps.xml, then ModMii v6.5.2 or higher required to build it successfully

set d2x-beta-rev=5-final
::This info is used to sign *00.app file for cIOS detection, everything after "=" but before the first "-" is considered the version # and it must be a number! Good examples are "5-beta1-test1" or "5" or "999". Bad examples are "5beta1" or "five-beta1" or "-5-beta1"
::everything after the first "-" is considered the version string (limited by 16 chars) and it only recognizes letters, numbers and + - _ ( ) [ ] but do not use underscores, breaks some ModMii advanced download conversion stuff
::5 chars of version string is used up if ciosmaps_vWii.xml exists to append "-vWii" to tag, so version string limit is actually 11 chars if vWii is supported


set cIOSFamilyName=d2x
::Only change this if building a cIOS that isn't a "d2x" branded cIOS. This string is limited by 16 chars and it only recognizes letters, numbers and + - _ ( ) [ ]


if "%wadname%"=="" goto:endofd2xbat

::------------------------Section to update (below)--------------------
::here you should enter the new beta cIOS hashes (under the OLD non-beta "wadname")
::d2x-beta-md5-updater.bat can be used to help update hashes
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5=da9af1405187e6c5929c509e44f3b8f3
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5=9e3868a554dcfb628f977b1fef7b3f53
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5=3f08ddd68ef7e2a047038340a9ac5d7e
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5=69ababdb8f32bbc5b73f39a7f3ba177b
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5=2d1f653314ab44e7c8a24eb35f131e65
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5=d60326a652f01c03c48faac53b0669c2
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5=4ae9f7b69c16959e8099f6b1cd9b61b5
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5=bed57167548e4451ffd189e70e066a36
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5=fcbf0685f4641d95b5cc85b8f5497766
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5=c6f13a9da0ea168b2e9873f2055dbdd3
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5=5fddc7627ef5c1885ed8063b98ca61cd
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5=55a8efc481e9a177fe2a850c38c2640d
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5=ddef9c01e5ee42063aa2988614478c21
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5=3682eca97a9a7455fe01d9106c6d945d
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5=ca35fa60f1f0abf4a1933c611e9ae7a1
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5=6f9529fab2e8bc751222425a74c778cd
::two sets of md5s for legacy wad(mii) packer support
if /i "%wadname:~0,17%" EQU "cIOS249[37]-d2x-v" set md5alt=8900a5b4dd5ced0212023a51875589d1
if /i "%wadname:~0,17%" EQU "cIOS250[37]-d2x-v" set md5alt=16a165f77c8e256667db68f24dfc1fdb
if /i "%wadname:~0,17%" EQU "cIOS249[38]-d2x-v" set md5alt=c49cb0467e8c9f5789d68fccca51ec71
if /i "%wadname:~0,17%" EQU "cIOS250[38]-d2x-v" set md5alt=21c4587678f4f76c5f47b6818d47135c
if /i "%wadname:~0,17%" EQU "cIOS249[53]-d2x-v" set md5alt=7f622e9b87ac8579fe18df6fe7a10965
if /i "%wadname:~0,17%" EQU "cIOS250[53]-d2x-v" set md5alt=670013e859aa30723484ca302603c761
if /i "%wadname:~0,17%" EQU "cIOS249[55]-d2x-v" set md5alt=b1852f0cccff84aae7c77c3950dabdbb
if /i "%wadname:~0,17%" EQU "cIOS250[55]-d2x-v" set md5alt=9eeb218ca8164df81606f5e22bdd706d
if /i "%wadname:~0,17%" EQU "cIOS249[56]-d2x-v" set md5alt=e96a209d04dd780d5bab2767dd21ff0f
if /i "%wadname:~0,17%" EQU "cIOS250[56]-d2x-v" set md5alt=58141572b4323a54c425579492bf3336
if /i "%wadname:~0,17%" EQU "cIOS249[57]-d2x-v" set md5alt=6f6b3510078335812dbd81529d85560b
if /i "%wadname:~0,17%" EQU "cIOS250[57]-d2x-v" set md5alt=22a0fd0b9fb3bec98d0a4fb997ef1171
if /i "%wadname:~0,17%" EQU "cIOS249[58]-d2x-v" set md5alt=c57c279cf6cb9a0a1347a1524b170937
if /i "%wadname:~0,17%" EQU "cIOS250[58]-d2x-v" set md5alt=4abe4cb081e1f627f0cf75ca6961920f
if /i "%wadname:~0,17%" EQU "cIOS248[38]-d2x-v" set md5alt=d470467a5868ae9975c40c35e6eb6e15
if /i "%wadname:~0,17%" EQU "cIOS251[58]-d2x-v" set md5alt=40be95c7dc1d71aac8779f4187632773

::cIOS251[38] is only an option in ModMii v6.6.0-6.6.3, so if not updated it won't be an issue for most people (this is the same as 249[38] with its slot changed to 251 by patchios.exe
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5=1b4714ac76888fa03bc4742619c27d43
if /i "%wadname:~0,17%" EQU "cIOS251[38]-d2x-v" set md5alt=%md5%
::------------------------Section to update (above)--------------------

::----------Additional Instructions---------------
::save any of the following beta files to the following directory
::if any of the following is not found, the standard d2x module used in the previous ModMii release will continue to be used
::modules\More-cIOSs\{ANY FOLDER NAME}\mload.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FAT.app
::modules\More-cIOSs\{ANY FOLDER NAME}\SDHC.app
::modules\More-cIOSs\{ANY FOLDER NAME}\EHCI.app
::modules\More-cIOSs\{ANY FOLDER NAME}\USBS.app
::modules\More-cIOSs\{ANY FOLDER NAME}\DIPP.app
::modules\More-cIOSs\{ANY FOLDER NAME}\ES.app
::modules\More-cIOSs\{ANY FOLDER NAME}\FFSP.app
::------------------------------------------------------

::set md5alt=%md5%

::change some variables
set wadname=%wadname:~0,17%%d2x-beta-rev%
if /i "%name:~0,17%" NEQ "Advanced Download" set name=%wadname%

:endofd2xbat 

